curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/on_page/lighthouse/audits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/on_page/lighthouse/audits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/on_page/lighthouse/audits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks.id": "<string>",
"tasks.status_code": 123,
"tasks.status_message": "<string>",
"tasks.time": "<string>",
"tasks.cost": 123,
"tasks.result_count": 123,
"tasks.path": [
"<string>"
],
"tasks.data": {},
"tasks.result": [
"<string>"
],
"tasks.result.audits": [
"<string>"
]
}Audits in OnPage Lighthouse API
The audit identifiers a Lighthouse run can be narrowed to, under an audits key.
audits key. Measured at 5.3 KB. Free: upstream cost is 0. Read this before running an audit, not after - passing audits to post_dataforseo_on_page_lighthouse_live_json is the difference between a 245 KB report and a targeted one.
Example
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/on_page/lighthouse/audits" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
the current version of the API
general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions
general informational message you can find the full list of general informational messages here
execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
task identifier unique task identifier in our system in the UUID format
status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here
informational message of the task you can find the full list of general informational messages here
execution time, seconds
cost of the task, USD
number of elements in the result array
URL path
contains the same parameters that you specified in the POST request
array of results
the list of available lighthouse audits an array containing the titles of available audits; Note: the titles can change depending on if the audit passed or failed and may contain markdown code; Note #2: if you’re using the audit that contains a slash (/) in its name, search by the last word after the slash